Files
freezer-api/api-ref/source/versions.inc
Saad Zaher 977ca7c548 Implemented: Installation documentation and API Ref
integrated freezer-api with openstackdoctheme lib and
os-api-ref lib to build the installation documentation
and api reference for freezer.

Change-Id: Ib5fc5f8227484525a13c3cfff9acb13d2b384e1a
Implements: blueprint implement-install-doc
Implements: blueprint implement-api-ref-doc
2016-09-07 13:20:34 +00:00

38 lines
1023 B
HTML

============
API Versions
============
The Freezer API only supports v1.
List major versions
===================
.. rest_method:: GET /
Gets the home document.
This operation gets the home document.
The entire API is discoverable from a single starting point, the home document. To explore the entire API, you need to know only this one URI. This document is cacheable.
The home document lets you write clients by using relational links, so clients do not have to construct their own URLs. You can click through and view the JSON doc in your browser.
For more information about home documents, see `http://tools.ietf.org/html/draft-nottingham-json-home-02 <http://tools.ietf.org/html/draft-nottingham-json-home-02>`__.
Normal response codes: 300
Error response codes: serviceUnavailable (503)
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- versions: versions
Response Example
----------------
.. literalinclude:: samples/versions-list-response.json
:language: javascript